"use strict";
module.exports = function(context, options = {}) {
    const {Syntax, RuleError, report, getSource} = context;
    return {
        [Syntax.Html](node){
            const rawNode = node.raw;
            if (node.raw.indexOf('<span data') < 0) {
                return;
            } else if (node.raw.indexOf('<p><span data') >= 0) {
                return;
            }

            const ruleError = new RuleError('Wrap draggable reveal words in p tags.');
            report(node, ruleError);
        }
    }
};
