"use strict";

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

module.exports = function (context) {
    var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var Syntax = context.Syntax,
        RuleError = context.RuleError,
        report = context.report,
        getSource = context.getSource;

    return _defineProperty({}, Syntax.Html, function (node) {
        var rawNode = node.raw;
        if (node.raw.indexOf('<span data') < 0) {
            return;
        } else if (node.raw.indexOf('<p><span data') >= 0) {
            return;
        }

        var ruleError = new RuleError('Wrap draggable reveal words in p tags.');
        report(node, ruleError);
    });
};
//# sourceMappingURL=index.js.map